Bad install

delphi package - automated exception handling

Bad install

Postby ZSL » Thu May 02, 2019 7:28 am

I installed MAD collection with MAD Exception V5 hoping that it would only used for Delphi 10.3 BUT it also installed and overwrote my Mad Exception v4.21 for my Delphi XE.

Please advise how I can rectify this.

TIA
ZSL
 
Posts: 52
Joined: Thu Mar 31, 2016 11:23 pm

Re: Bad install

Postby madshi » Thu May 02, 2019 7:46 am

There's no easy solution, unfortunately. The installer simply doesn't support a mixed v4 vs v5 installation.

FYI, the changes in v5 are not very dramatic (so far), so it shouldn't really be "dangerous" to update to v5. But if you insist, you can create a mixed installation manually. You would do that by installing v4 first, copy the madCollection installation folder. Then install v5, then replace the v5 folders which have the files for older Delphi versions with those from the copied v4 installation folder. It will be a lot of folder replacement work. Please don't forget to also replace madBasic and madDisAsm folders, otherwise it won't work. The registry entries should be identical for v4 vs v5, so simply replacing the folders should work fine.
madshi
Site Admin
 
Posts: 10099
Joined: Sun Mar 21, 2004 5:25 pm

Re: Bad install

Postby ZSL » Thu May 02, 2019 8:50 am

Thanks.

I do intend upgrading but want to test with D 10.3 first
ZSL
 
Posts: 52
Joined: Thu Mar 31, 2016 11:23 pm

Re: Bad install

Postby madshi » Thu May 02, 2019 8:52 am

If it's only for testing, you can just run the installer every time you want to switch between v4 and v5. It should run through reasonably fast.
madshi
Site Admin
 
Posts: 10099
Joined: Sun Mar 21, 2004 5:25 pm


Return to madExcept

Who is online

Users browsing this forum: No registered users and 8 guests

cron